ComplexType
Keywords: uk.ac.ic.doc.automed.xmlschema.xsdomobject.ComplexType class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.xmlschema.xsdomobject
Class ComplexType

    java.lang.Object
      uk.ac.ic.doc.automed.xmlschema.xsdomobject.XSDOMObject
          uk.ac.ic.doc.automed.xmlschema.xsdomobject.ComplexType

All Implemented Interfaces:
  java.awt.datatransfer.Transferable, java.io.Serializable, XSDOMObj

    public class ComplexType

extends XSDOMObject

Define the internal representation for an XMLSchema complexType

See Also:
  Serialized Form

Field Summary

Fields inherited from class uk.ac.ic.doc.automed.xmlschema.xsdomobject.XSDOMObject
`icon, keyref, maxOccurs, minOccurs, name, p, TREE_PATH_FLAVOR, type`

Constructor Summary
`ComplexType(java.lang.String name)` Creates a new instance of ComplexType

Method Summary
`void` | `addChild(java.util.ArrayList list)` Add a list of child elements
`void` | `addChild(Element name)` Add a child element
`void` | `addChildAttribute(Attribute name)` Add a child Attribute
`void` | `addChildAttributes(java.util.ArrayList atts)` Add a list of child Attributes
`java.lang.String` | `getBaseType()` Return whether or not this has been used as a subtype
`java.util.ArrayList` | `getChildAttributes()` Return any child attributes
`java.util.ArrayList` | `getChildren()` Return any child elements
`java.lang.String` | `getCons()` Return the type when used as a constraint
`XSDOMObject` | `getPrimaryKey()` Get the primary key for this complexType
`java.lang.String` | `getType()` Return the type
`void` | `setBaseType(java.lang.String baseType)` Set whether or this is being used as a subtype
`void` | `setPrimaryKey(XSDOMObject primaryKey)` Set the primary key for this complexType

Methods inherited from class uk.ac.ic.doc.automed.xmlschema.xsdomobject.XSDOMObject
`getIcon, getKeyRef, getMaxOccurs, getMinOccurs, getName, getTransferData, getTransferDataFlavors, isDataFlavorSupported, setIcon, setKeyRef, setMaxOccurs, setMinOccurs, setName, setPath, setType, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ComplexType

    public ComplexType(java.lang.String name)

  Creates a new instance of ComplexType

Method Detail

### addChild

    public void addChild(Element name)

  Add a child element

### addChild

    public void addChild(java.util.ArrayList list)

  Add a list of child elements

### addChildAttribute

    public void addChildAttribute(Attribute name)

  Add a child Attribute

### addChildAttributes

    public void addChildAttributes(java.util.ArrayList atts)

  Add a list of child Attributes

### getType

    public java.lang.String getType()

  Return the type

  Specified by:
    `getType` in interface `XSDOMObj`
  Overrides:
    `getType` in class `XSDOMObject`

### getCons

    public java.lang.String getCons()

  Return the type when used as a constraint

### getBaseType

    public java.lang.String getBaseType()

  Return whether or not this has been used as a subtype

### getChildren

    public java.util.ArrayList getChildren()

  Return any child elements

### getChildAttributes

    public java.util.ArrayList getChildAttributes()

  Return any child attributes

### getPrimaryKey

    public XSDOMObject getPrimaryKey()

  Get the primary key for this complexType

### setPrimaryKey

    public void setPrimaryKey(XSDOMObject primaryKey)

  Set the primary key for this complexType

### setBaseType

    public void setBaseType(java.lang.String baseType)

  Set whether or this is being used as a subtype

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD